- job:
    name: ldcg-tensorflow-asv-benchmarks
    project-type: freestyle
    defaults: global
    description: |
        Runs various Tensorflow benchmarks and documents them with asv.
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 90
            num-to-keep: 90
        - github:
            url: https://github.com/tensorflow/tensorflow
    disabled: false
    node: d05bench
    concurent: false
    display-name: 'Tensorflow aarch64 - CI Build: MLPerf Benchmark'
    wrappers:
        - timestamps
    builders:
        - shell:
            !include-raw: ldcg-tensorflow-asv-benchmarks/ldcg-tensorflow-asv-benchmark.sh
    publisher:
        - email:
            recipients: 'theodore.grey@linaro.org'
